@import url('https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900&display=swap');

button:focus,
input:focus {
    outline: none;
    box-shadow: none;
}

a,
a:hover {
    text-decoration: none;
}

body {
    font-family: 'Roboto', sans-serif;
}

/*------------------  */
.wheel-spin-box {
    position: relative;
    display: inline-block;
}

#spinwheel {
    position: relative;
    width: 360px;
    margin: auto;
}

.wheeldotsround {
    position: absolute;
    width: 100%;
    height: 100%;
}

.wheeldotsround {
    position: absolute;
    width: 100%;
    height: 100%;
}

.wheeldotsround .wheeldots {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: #fff;
    position: absolute;
    z-index: 1;
}

.wheeldotsround .wheeldots:nth-child(2n+1) {
    background: #fff;
}

.wheeldotsround .wheeldots.active-dots {
    background: #ffcfa7;
}

.wheeldotsround .wheeldots.active-dots:nth-child(2n+1) {
    background: #f88b69;
}

.wheeldotsround .wheeldots:nth-child(1) {
    left: calc(50% - 4px);
    top: 3px;
}

.wheeldotsround .wheeldots:nth-child(2) {
    right: 25%;
    top: 7%;
}

.wheeldotsround .wheeldots:nth-child(3) {
    right: 7%;
    top: 25%;
}

.wheeldotsround .wheeldots:nth-child(4) {
    right: 3px;
    top: 50%;
}

.wheeldotsround .wheeldots:nth-child(5) {
    right: 8.2%;
    bottom: 23%;
}

.wheeldotsround .wheeldots:nth-child(6) {
    right: 25%;
    bottom: 7%;
}

.wheeldotsround .wheeldots:nth-child(7) {
    left: calc(50% - 4px);
    bottom: 3px;
}

.wheeldotsround .wheeldots:nth-child(8) {
    left: 25%;
    bottom: 7%;
}

.wheeldotsround .wheeldots:nth-child(9) {
    left: 8.2%;
    bottom: 23%;
}

.wheeldotsround .wheeldots:nth-child(10) {
    left: 3px;
    top: 50%;
}

.wheeldotsround .wheeldots:nth-child(11) {
    left: 7%;
    top: 25%;
}

.wheeldotsround .wheeldots:nth-child(12) {
    left: 25%;
    top: 7%;
}

#spinwheel {
    position: relative;
    width: 360px;
    margin: auto;
}

/* #spinwheel svg {
    width: 100%;
    height: 100%;
    border: 15px solid #CE3816;
    border-radius: 50%;
    background: #CE3816;
} */

#spinwheel svg {
    width: 100%;
    height: 100%;
    border: 15px solid #ffffff;
    border-radius: 50%;
    box-shadow: 0px 0px 11px #00000078;
}

.chartholder {}

.wheel-spin-box .chartholder .slice path {
    /* fill: #f6b89e; */
    fill: #ffcfa7;
}

.wheel-spin-box .chartholder .slice:nth-child(2n+1) path {
    fill: #f88b69;
}

.wheel-spin-arrow {
    position: relative;
    margin-top: -35px;
    text-align: center;
    z-index: 1;
}

.wheel-spin-arrow svg {
    max-width: 65px;
}

.spin-click-button {
    background-color: #fff;
    font-size: 14px;
    font-weight: 600;
    color: #000;
    border: none;
    padding: 14px 35px;
    border-radius: 0px;
    margin-bottom: 30px;
    box-shadow: 0px 0px 10px #00000059;
}

.btn-gradient {
    text-shadow: 0px 3px 6px #00000063;
    /* background-color: var(--colorSecondary); */
    background: linear-gradient(-45deg, #f47c64, #ffa42f, #f47c64, #ffa42f);
    background-size: 400% 400%;
    -webkit-animation: Gradient 3s ease infinite, rocking 3s ease infinite;
    animation-delay: 2s;
    -moz-animation: Gradient 3s ease infinite, rocking 3s ease infinite;
    animation-delay: 2s;
    animation: Gradient 3s ease infinite, rocking 3s ease infinite;
    animation-delay: 2s;
    color: #fff;
    border: none;
}

@keyframes rocking {
    0% {
        transform: rotate(0deg)
    }

    25% {
        transform: rotate(0deg)
    }

    50% {
        transform: rotate(2deg)
    }

    75% {
        transform: rotate(-2deg)
    }

    100% {
        transform: rotate(0deg)
    }
}

@-webkit-keyframes Gradient {
    0% {
        background-position: 0 50%
    }

    50% {
        background-position: 100% 50%
    }

    100% {
        background-position: 0 50%
    }
}

@-moz-keyframes Gradient {
    0% {
        background-position: 0 50%
    }

    50% {
        background-position: 100% 50%
    }

    100% {
        background-position: 0 50%
    }
}

@keyframes Gradient {
    0% {
        background-position: 0 50%
    }

    50% {
        background-position: 100% 50%
    }

    100% {
        background-position: 0 50%
    }
}

@media (max-width: 479.98px) {
    #spinwheel {
        width: 270px;
    }
}

.spin-wheel-wrap {
    background-image: url(Spin-bg.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
    display: flex;
    align-items: center;
    position: relative;
    overflow: hidden;
}

.logo-wrap {
    margin-bottom: 20px;
}

.logo-wrap img {
    width: 180px;
}

@media only screen and (max-width:575px) {
    .spin-wheel-wrap {
        background-image: url(Spin-bg-mob.jpg);
    }

    .logo-wrap {
        display: none;
    }

    .spin-wheel-wrap:before {
        position: absolute;
        content: "";
        left: 0;
        right: 0;
        margin: auto;
        bottom: 20px;
        background-image: url(logo.png);
        background-size: cover;
        width: 120px;
        height: 120px;
    }
}